from selenium import webdriver
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
from selenium.common.exceptions import TimeoutException
from selenium.webdriver.support.ui import Select
from lxml import html
from bs4 import BeautifulSoup
from urllib.request import urlopen
from colorama import Fore, Back, Style
import sched,time
import os
driver=webdriver.PhantomJS('/usr/bin/phantomjs', service_args=['--ignore-ssl-errors=true','--ssl-protocol=any'])
driver.set_window_size(1120,550)
driver.set_page_load_timeout(5.5)
wait = WebDriverWait(driver,10)
driver.get('https://www.odpovedi.cz/uzivatel/prihlaseni')
usr="NAME"
pw="PASSWORD"
print(driver.current_url)
print('prihlasovani.........')
flogin=driver.find_element_by_id("frmloginForm-mail")
fpass=driver.find_element_by_id("frmloginForm-pass")
fbtn=driver.find_element_by_id("frmloginForm-send")
flogin.clear()
flogin.send_keys(usr)
fpass.clear()
fpass.send_keys(pw)
fbtn.click()
print('prihlasovani...OK')
print(driver.current_url)
driver.get('https://www.odpovedi.cz/otazky/nova')
print(driver.current_url)
#body=driver.find_element_by_tag_name("body")
#wait2=WebDriverWait(driver,5, poll_frequency=0.05)
#wait2.until(EC.staleness_of(body))
fquestion=driver.find_element_by_id("frmnewQuestionDetailForm-title")
fdesc=driver.find_element_by_id("frmnewQuestionDetailForm-description")
rnadpis=input("Nadpis: ")
rnadpis2=str.encode(rnadpis)
robsah=input("Obsah: ")
robsah2=str.encode(robsah)
obsah=bytes.decode(robsah2)
nadpis=bytes.decode(rnadpis2)
print(nadpis)
print(obsah)
fquestion.clear()
fquestion.send_keys(nadpis)
fdesc.clear()
fdesc.send_keys(obsah)
select=Select(driver.find_element_by_id('frmnewQuestionDetailForm-stCategory'))
select.select_by_value('32')
select2=Select(driver.find_element_by_id('frmnewQuestionDetailForm-ndCategory'))
select2.select_by_value('39')
#fquestion.send_keys(Keys.RETURN)
#fsub2=wait.until(EC.element_to_be_clickable((By.ID,"frmform-submit")))
#driver.execute_script("arguments[0].click();",fsub2)
print('zadavani otazky... odpovedi.cz')
print(driver.current_url)
subq=driver.find_element_by_id("frmnewQuestionDetailForm-submit")
subq.click()
#driver.save_screenshot("screen.png")
print(driver.current_url)
s = sched.scheduler(time.time,time.sleep)
odpovedicz=driver.current_url
driver.get('https://zivot.poradna.net/questions/add')
fnadpis=driver.find_elements_by_tag_name("title")
fjmeno=driver.find_elements_by_tag_name("nick")
fedit=driver.find_elements_by_tag_name("text")
fbtn=driver.find_elements_by_tag_name("add")
#fselect=Select(driver.find_elements_by_tag_name("category"))
#fselect=select.by_value(189)

def refresh(sc):
    reqodp = urlopen(odpovedicz)
    reqhtml = reqodp.read()
    reqodp.close()
    soup = BeautifulSoup(reqhtml,"html5lib")
    os.system("clear")
#   os.system("cls")
    reqAll= soup.find_all("p", {'class': 'description'})
    usersAll=soup.find_all("p", {'class': 'user_link'})
    reqh=soup.find("h1")
    print(Fore.YELLOW+reqh.getText()+Style.RESET_ALL)
    for links in reqAll:
        out = links.getText();
        print(Fore.MAGENTA+"* "+Style.RESET_ALL+Fore.CYAN+out+Style.RESET_ALL)
    s.enter(5,1,refresh,(sc,))

s.enter(5,1,refresh,(s,))
s.run()
driver.quit()

